Plugin installation problems

Added by Sam B about 5 years ago

Hi,

i've serious problems to install any redmine plugin.
When i run

rake db:migrate RAILS_ENV="development"

it does nothing for plugins that imho should modify database, but it shows no error.
They register hooks, but when i try to use it i get exception/routing error.

Redmine info:
About your application's environment
Ruby version 1.8.7 (i486-linux)
RubyGems version 1.3.4
Rails version 2.1.2
Active Record version 2.1.2
Action Pack version 2.1.2
Active Resource version 2.1.2
Action Mailer version 2.1.2
Active Support version 2.1.2
Edge Rails revision unknown
Application root /www/_apps/redmine
Environment development
Database adapter postgresql
Database schema version 20090708074337
- redmine 0.8.3 (official tarball)
- Running via nginx/fcgi (also tried via mongrel without success)

I also have different redmine installation on another machine (same ruby version) that works without any problems, but when i copied that installation to my machine it doesn't work.

Have you any idea what am I doing wrong ?

Thanks
Sam

Replies (4)

RE: Plugin installation problems - Added by Mischa The Evil about 5 years ago

Sam B wrote:

rake db:migrate RAILS_ENV="development"

If you look at the generic plugin installation instructions at Plugins you would see that you should use another command to migrate the plugins DB-changes:

rake db:migrate_plugins RAILS_ENV="currently-used-environment"

Kind regards,

Mischa.

RE: Plugin installation problems - Added by Sam B about 5 years ago

Sorry, bad copy&paste - i'use migrate_plugins (without any effect) ;)

RE: Plugin installation problems - Added by Mischa The Evil about 5 years ago

Sam B wrote:

Sorry, bad copy&paste - i'use migrate_plugins (without any effect) ;)

In that case I'm practically out-of-options... :-( At least there should be a difference in the environments provided by both of your machines.

RE: Plugin installation problems [solved] - Added by Sam B about 5 years ago

Ok, after many reinstallations and testing i've found it.

I've had config directory symlinked outside of redmine tree and therefore rake db:migrate_plugins didn't worked.
Curious for me, is that it works when config is symlinked to directory inside of redmine install tree.
Is that some dummy security restriction inside of rails ?
Or is this a bug ??
;-)

Have a nice day everyone
Sam

(1-4/4)